.footer .code-text{width: 100%;}
.liangzai{display: inline-block;margin-top: 0;}
.footer .code-text .qr-code a{position: relative;}
.footer .code-text .qr-code a:nth-child(1) div{width: 200px;position: absolute;bottom: 102%;left: calc(50% - 100px/2);display: none;}
.footer .code-text .qr-code a:nth-child(1) div img{width: 200px;height: 200px;}
.footer .code-text .qr-code a:nth-child(1):hover div{display: block;}
@media screen and (max-width: 1500px) {
    .footer .code-text{width: 100%;}
    .liangzai{display: inline-block;margin-top: 0;}
    .footer .code-text .qr-code a{position: relative;}
    .footer .code-text .qr-code a:nth-child(1) div{width: 80px;height: 200px;position: absolute;bottom: 102%;left: calc(50% - 80px/2);display: none;}
    .footer .code-text .qr-code a:nth-child(1):hover div{display: block;}
}
@media screen and (max-width: 1023px) {
    .footer .right .code-text {width: 2rem;line-height: 26px;bottom: 0.1rem;}
}
